package com.steering.mes.mcp.entity;

/**
 * 数据库表YDM_BC_SCRAPOUTLIST所对应的实体类（生成工具：代码生成器3.0）
 * @author DM22222   date 2018-09-07
 */
@SuppressWarnings("serial")
public class YdmBcScrapoutlistEntity implements java.io.Serializable {
	
	private String balYearMonth = "";
    public String getBalYearMonth() {
		return balYearMonth;
	}

	public void setBalYearMonth(String balYearMonth) {
		this.balYearMonth = balYearMonth;
	}

	/**
     * 出库单编号
     */
    private String outstockDoc = "";
    /**
     * 出库类型代码
     */
    private String outstockTypeCode = "";
    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     */
    private String outstockTypeName = "";
    /**
     * 标示炉号
     */
    private String flagStoveNo = "";
    /**
     * 材料支数(实际)
     */
    private String actCount = "";
    /**
     * 材料实重(实际)
     */
    private String actWeight = "";
    /**
     * 过磅单号
     */
    private String ponderNo = "";
    /**
     * 过磅重量
     */
    private String ponderGrossWt = "";

    
    private String crateName = "";
    
    public String getCrateName() {
		return crateName;
	}

	public void setCrateName(String crateName) {
		this.crateName = crateName;
	}

	private String crateTime = "";
    public String getCrateTime() {
		return crateTime;
	}

	public void setCrateTime(String crateTime) {
		this.crateTime = crateTime;
	}

	/**
     * 出库单编号
     * @return value
     */
    public String getOutstockDoc() {
        return outstockDoc;
    }

    /**
     * 出库单编号
     * @param outstockDoc value
     */
    public void setOutstockDoc(String outstockDoc) {
        this.outstockDoc = outstockDoc;
    }

    /**
     * 出库类型代码
     * @return value
     */
    public String getOutstockTypeCode() {
        return outstockTypeCode;
    }

    /**
     * 出库类型代码
     * @param outstockTypeCode value
     */
    public void setOutstockTypeCode(String outstockTypeCode) {
        this.outstockTypeCode = outstockTypeCode;
    }

    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     * @return value
     */
    public String getOutstockTypeName() {
        return outstockTypeName;
    }

    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     * @param outstockTypeName value
     */
    public void setOutstockTypeName(String outstockTypeName) {
        this.outstockTypeName = outstockTypeName;
    }

    /**
     * 标示炉号
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 材料支数(实际)
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 材料支数(实际)
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 材料实重(实际)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 材料实重(实际)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 过磅单号
     * @return value
     */
    public String getPonderNo() {
        return ponderNo;
    }

    /**
     * 过磅单号
     * @param ponderNo value
     */
    public void setPonderNo(String ponderNo) {
        this.ponderNo = ponderNo;
    }

    /**
     * 过磅重量
     * @return value
     */
    public String getPonderGrossWt() {
        return ponderGrossWt;
    }

    /**
     * 过磅重量
     * @param ponderGrossWt value
     */
    public void setPonderGrossWt(String ponderGrossWt) {
        this.ponderGrossWt = ponderGrossWt;
    }
}